

<?php
ini_set('display_errors', 1);

define("ADMIN", true);
require_once("../../common/lib.php");
require_once("../../common/define.php");
// define("TITLE_ELEMENT", 'Facture');
if(!isset($_SESSION['user'])){
    header("Location: /admin/login.php");
    exit();
}
require_once("../includes/fn_module.php"); 

    // Récupération des paramètres GET
    $id_depot = isset($_GET['id_depot']) ? $_GET['id_depot'] : 1; // Dépôt principal, par défaut id 1
    $source = isset($_GET['source']) ? $_GET['source'] : 'BE'; // Source de l'entrée
    $id_source = isset($_GET['id_source']) ? $_GET['id_source'] : 0; // ID de la source, ici l'ID du BE

    // Vérifier si l'id_source existe dans la table pm_be_product
    $query_fact = "SELECT * FROM pm_be_product WHERE id_be = ".$id_source;
	 // echo $query_fact."<br>";


    // Vérifier si le BE existe
		$result_fact = @$db->query($query_fact);
		if($result_fact !== false){
			$row_fact = $result_fact->fetch();
        // Récupérer les informations du BE
        $id_produit = $row_fact['name'];
        $qte = $row_fact['qte'];

        // Insérer un nouvel enregistrement dans la table pm_depot_stock
        $insert_query = "INSERT INTO pm_depot_stock (id_depot, id_produit, qte) VALUES (".$id_depot.", ".$id_produit.", ".$qte.")";
        // echo $insert_query."<br>";


        // Exécution de la requête
        if (@$db->query($insert_query)) {
            echo "Enregistrement du BE dans le dépôt principal réussi.";
        } else {
            echo "Erreur lors de l'enregistrement du BE dans le dépôt principal.";
        }
    } else {
        echo "Aucun BE trouvé avec cet ID.";
    }
?>
